Package com.xebialabs.xlrelease.domain.utils

## Class syntax.ConfigurationItemOps$

- java.lang.Object
- - com.xebialabs.xlrelease.domain.utils.syntax.ConfigurationItemOps$

- Enclosing class:
    syntax

      public static class syntax.ConfigurationItemOps$
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static syntax.ConfigurationItemOps$` | `MODULE$` | Static reference to the singleton instance of this Scala object.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConfigurationItemOps$()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals$extension​(syntax.ConfigurationItemOps $this, java.lang.Object x$1)` |
    `<T> scala.Option<T>` | `getPropertyOption$extension​(syntax.ConfigurationItemOps $this, java.lang.String key)` |
    `int` | `hashCode$extension​(syntax.ConfigurationItemOps $this)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MODULE$

          public static final syntax.ConfigurationItemOps$ MODULE$

      Static reference to the singleton instance of this Scala object.

  - ### Constructor Detail

    - #### ConfigurationItemOps$

          public ConfigurationItemOps$()

  - ### Method Detail

    - #### getPropertyOption$extension

          public final <T> scala.Option<T> getPropertyOption$extension​(syntax.ConfigurationItemOps $this,
                                                                       java.lang.String key)

    - #### hashCode$extension

          public final int hashCode$extension​(syntax.ConfigurationItemOps $this)

    - #### equals$extension

          public final boolean equals$extension​(syntax.ConfigurationItemOps $this,
                                                java.lang.Object x$1)